const std = @import("std");

pub fn create(b: *std.Build, target: std.Build.ResolvedTarget, optimize: std.builtin.OptimizeMode) *std.Build.Step.Compile {
    const lib = b.addStaticLibrary(.{
        .name = "kindle_sys",
        .target = target,
        .optimize = optimize,
    });

    lib.addCSourceFile(.{
        .file = b.path("kindle/backports/fortify.c"),
    });

    lib.addLibraryPath(b.path("kindle/sysroot/lib"));
    lib.linkSystemLibrary2("c", .{ .preferred_link_mode = .dynamic });

    lib.addIncludePath(b.path("kindle/sysroot/usr/include"));
    lib.installHeadersDirectory(b.path("kindle/sysroot/usr/include"), "", .{});

    return lib;
}
